<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="a2143af4-24e3-4243-b646-e2e0cfc4fb19" name="Default" comment="">
      <change beforePath="$PROJECT_DIR$/.idea/misc.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/misc.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/W18-ETI-AB2/ab2/impl/Dippold/PDAImpl.class" beforeDir="false" afterPath="$PROJECT_DIR$/out/production/W18-ETI-AB2/ab2/impl/Dippold/PDAImpl.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/ab2/impl/Dippold/PDAImpl.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/ab2/impl/Dippold/PDAImpl.java" afterDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/out/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="TRACKING_ENABLED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file leaf-file-name="PDAImpl.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/ab2/impl/Dippold/PDAImpl.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="88">
              <caret line="169" column="87" lean-forward="true" selection-start-line="169" selection-start-column="87" selection-end-line="169" selection-end-column="87" />
              <folding>
                <element signature="imports" expanded="true" />
                <element signature="e#2318#2319#0" expanded="true" />
                <element signature="e#2357#2358#0" expanded="true" />
                <element signature="e#2524#2525#0" expanded="true" />
                <element signature="e#2563#2564#0" expanded="true" />
                <element signature="e#8395#8396#0" expanded="true" />
                <element signature="e#8438#8439#0" expanded="true" />
                <element signature="e#8482#8483#0" expanded="true" />
                <element signature="e#8515#8516#0" expanded="true" />
                <element signature="e#8559#8560#0" expanded="true" />
                <element signature="e#8592#8593#0" expanded="true" />
                <element signature="e#8641#8642#0" expanded="true" />
                <element signature="e#8675#8676#0" expanded="true" />
                <element signature="e#8710#8711#0" expanded="true" />
                <element signature="e#8745#8746#0" expanded="true" />
                <element signature="e#8792#8793#0" expanded="true" />
                <element signature="e#8830#8831#0" expanded="true" />
                <element signature="e#8862#8863#0" expanded="true" />
                <element signature="e#8894#8895#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="Tests.java" pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/src/ab2/test/Tests.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="-2675">
              <caret line="900" column="38" lean-forward="true" selection-start-line="900" selection-start-column="38" selection-end-line="900" selection-end-column="38" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="PDATransition.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/ab2/impl/Dippold/PDATransition.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="396">
              <caret line="18" column="5" lean-forward="true" selection-start-line="18" selection-start-column="5" selection-end-line="18" selection-end-column="5" />
              <folding>
                <element signature="e#386#387#0" expanded="true" />
                <element signature="e#418#419#0" expanded="true" />
                <element signature="e#457#458#0" expanded="true" />
                <element signature="e#494#495#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="PDA.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/ab2/PDA.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="203">
              <caret line="18" column="16" selection-start-line="18" selection-start-column="16" selection-end-line="18" selection-end-column="16" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="Transition.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/ab2/Transition.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="67">
              <caret line="29" selection-start-line="29" selection-end-line="29" />
              <folding>
                <element signature="e#432#433#0" expanded="true" />
                <element signature="e#457#458#0" expanded="true" />
                <element signature="e#593#594#0" expanded="true" />
                <element signature="e#700#701#0" expanded="true" />
                <element signature="e#724#725#0" expanded="true" />
                <element signature="e#842#843#0" expanded="true" />
                <element signature="e#867#868#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="Factory.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/ab2/Factory.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="295">
              <caret line="28" column="63" selection-start-line="28" selection-start-column="7" selection-end-line="28" selection-end-column="63" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="FactoryImpl.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/ab2/impl/Dippold/FactoryImpl.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="308">
              <caret line="16" column="26" lean-forward="true" selection-start-line="16" selection-start-column="26" selection-end-line="16" selection-end-column="26" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>moore</find>
      <find>addTr</find>
      <find>pdaBasics</find>
      <find>PDAImpl</find>
      <find>mealyBasics</find>
    </findStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/src/ab2/impl/Dippold/FactoryImpl.java" />
        <option value="$PROJECT_DIR$/src/ab2/impl/Dippold/MealyImpl.java" />
        <option value="$PROJECT_DIR$/src/ab2/impl/Dippold/PDATransition.java" />
        <option value="$PROJECT_DIR$/src/ab2/test/Tests.java" />
        <option value="$PROJECT_DIR$/src/ab2/impl/Dippold/PDAImpl.java" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="-11" />
    <option name="y" value="-11" />
    <option name="width" value="1102" />
    <option name="height" value="1896" />
  </component>
  <component name="ProjectLevelVcsManager">
    <ConfirmationsSetting value="1" id="Add" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="PackagesPane" />
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="W18-ETI-AB2" type="b2602c69:ProjectViewProjectNode" />
              <item name="W18-ETI-AB2" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="W18-ETI-AB2" type="b2602c69:ProjectViewProjectNode" />
              <item name="W18-ETI-AB2" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="W18-ETI-AB2" type="b2602c69:ProjectViewProjectNode" />
              <item name="W18-ETI-AB2" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="ab2" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="W18-ETI-AB2" type="b2602c69:ProjectViewProjectNode" />
              <item name="W18-ETI-AB2" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="ab2" type="462c0819:PsiDirectoryNode" />
              <item name="Dippold" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="W18-ETI-AB2" type="b2602c69:ProjectViewProjectNode" />
              <item name="W18-ETI-AB2" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="ab2" type="462c0819:PsiDirectoryNode" />
              <item name="test" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="project.structure.last.edited" value="Artifacts" />
    <property name="project.structure.proportion" value="0.15" />
    <property name="project.structure.side.proportion" value="0.2" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="JUnit.Tests">
    <configuration default="true" type="Application" factoryName="Application">
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
    </configuration>
    <configuration name="Tests" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="W18-ETI-AB2" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="ab2.test.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="PACKAGE_NAME" value="ab2.test" />
      <option name="MAIN_CLASS_NAME" value="ab2.test.Tests" />
      <option name="METHOD_NAME" />
      <option name="TEST_OBJECT" value="class" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <patterns />
    </configuration>
    <configuration name="Tests.testPDAAccepts1" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="W18-ETI-AB2" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="ab2.test.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="PACKAGE_NAME" value="ab2.test" />
      <option name="MAIN_CLASS_NAME" value="ab2.test.Tests" />
      <option name="METHOD_NAME" value="testPDAAccepts1" />
      <option name="TEST_OBJECT" value="method" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <patterns />
    </configuration>
    <configuration name="Tests.testPDAAccepts2" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="W18-ETI-AB2" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="ab2.test.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="PACKAGE_NAME" value="ab2.test" />
      <option name="MAIN_CLASS_NAME" value="ab2.test.Tests" />
      <option name="METHOD_NAME" value="testPDAAccepts2" />
      <option name="TEST_OBJECT" value="method" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <patterns />
    </configuration>
    <configuration name="Tests.testPDAAppend1" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="W18-ETI-AB2" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="ab2.test.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="PACKAGE_NAME" value="ab2.test" />
      <option name="MAIN_CLASS_NAME" value="ab2.test.Tests" />
      <option name="METHOD_NAME" value="testPDAAppend1" />
      <option name="TEST_OBJECT" value="method" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <patterns />
    </configuration>
    <configuration default="true" type="JUnit" factoryName="JUnit">
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="PACKAGE_NAME" />
      <option name="MAIN_CLASS_NAME" />
      <option name="METHOD_NAME" />
      <option name="TEST_OBJECT" value="class" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <patterns />
    </configuration>
    <configuration default="true" type="TestNG" factoryName="TestNG">
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="SUITE_NAME" />
      <option name="PACKAGE_NAME" />
      <option name="MAIN_CLASS_NAME" />
      <option name="METHOD_NAME" />
      <option name="GROUP_NAME" />
      <option name="TEST_OBJECT" value="CLASS" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <option name="OUTPUT_DIRECTORY" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <option name="USE_DEFAULT_REPORTERS" value="false" />
      <option name="PROPERTIES_FILE" />
      <properties />
      <listeners />
    </configuration>
    <list>
      <item itemvalue="JUnit.Tests" />
      <item itemvalue="JUnit.Tests.testPDAAccepts1" />
      <item itemvalue="JUnit.Tests.testPDAAccepts2" />
      <item itemvalue="JUnit.Tests.testPDAAppend1" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="JUnit.Tests" />
        <item itemvalue="JUnit.Tests.testPDAAppend1" />
        <item itemvalue="JUnit.Tests.testPDAAccepts2" />
        <item itemvalue="JUnit.Tests.testPDAAccepts1" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="a2143af4-24e3-4243-b646-e2e0cfc4fb19" name="Default" comment="" />
      <created>1550254991441</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1550254991441</updated>
      <workItem from="1550254993632" duration="345000" />
      <workItem from="1550258109851" duration="12276000" />
    </task>
    <servers />
  </component>
  <component name="TestHistory">
    <history-entry file="Tests - 2019.02.18 at 23h 40m 31s.xml">
      <configuration name="Tests" configurationId="JUnit" />
    </history-entry>
    <history-entry file="Tests - 2019.02.18 at 23h 41m 12s.xml">
      <configuration name="Tests" configurationId="JUnit" />
    </history-entry>
    <history-entry file="Tests_testPDAAppend1 - 2019.02.18 at 23h 41m 31s.xml">
      <configuration name="Tests.testPDAAppend1" configurationId="JUnit" />
    </history-entry>
    <history-entry file="Tests_testPDAAppend1 - 2019.02.18 at 23h 42m 29s.xml">
      <configuration name="Tests.testPDAAppend1" configurationId="JUnit" />
    </history-entry>
    <history-entry file="Tests_testPDAAppend1 - 2019.02.18 at 23h 42m 32s.xml">
      <configuration name="Tests.testPDAAppend1" configurationId="JUnit" />
    </history-entry>
    <history-entry file="Tests_testPDAAppend1 - 2019.02.18 at 23h 42m 54s.xml">
      <configuration name="Tests.testPDAAppend1" configurationId="JUnit" />
    </history-entry>
    <history-entry file="Tests_testPDAAppend1 - 2019.02.18 at 23h 43m 04s.xml">
      <configuration name="Tests.testPDAAppend1" configurationId="JUnit" />
    </history-entry>
    <history-entry file="Tests_testPDAAppend1 - 2019.02.18 at 23h 51m 23s.xml">
      <configuration name="Tests.testPDAAppend1" configurationId="JUnit" />
    </history-entry>
    <history-entry file="Tests - 2019.02.18 at 23h 51m 42s.xml">
      <configuration name="Tests" configurationId="JUnit" />
    </history-entry>
    <history-entry file="Tests - 2019.02.18 at 23h 57m 06s.xml">
      <configuration name="Tests" configurationId="JUnit" />
    </history-entry>
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="12621000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="65" y="-8" width="2503" height="1096" extended-state="6" />
    <layout>
      <window_info anchor="right" id="Palette" order="3" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Messages" order="10" weight="0.32925585" />
      <window_info anchor="right" id="Palette&#9;" order="4" />
      <window_info anchor="bottom" id="Event Log" order="7" sideWeight="0.50208336" side_tool="true" weight="0.3295711" />
      <window_info anchor="right" id="Maven Projects" order="5" />
      <window_info anchor="bottom" id="Database Changes" show_stripe_button="false" />
      <window_info anchor="bottom" id="Run" order="2" sideWeight="0.49791667" weight="0.32925585" />
      <window_info anchor="bottom" id="Version Control" order="8" />
      <window_info id="Designer" order="2" />
      <window_info content_ui="combo" id="Project" order="0" visible="true" weight="0.16606353" />
      <window_info anchor="right" id="Database" order="6" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info id="UI Designer" order="3" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.3985729" />
      <window_info id="Favorites" order="4" side_tool="true" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="right" id="Commander" order="0" weight="0.4" />
      <window_info anchor="bottom" id="Terminal" order="9" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Find" order="1" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <option name="time" value="27" />
    </breakpoint-manager>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/src/ab2/impl/Dippold/PDAImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="902">
          <caret line="41" column="51" lean-forward="true" selection-start-line="41" selection-start-column="51" selection-end-line="41" selection-end-column="51" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#2318#2319#0" expanded="true" />
            <element signature="e#2357#2358#0" expanded="true" />
            <element signature="e#2524#2525#0" expanded="true" />
            <element signature="e#2563#2564#0" expanded="true" />
            <element signature="e#8395#8396#0" expanded="true" />
            <element signature="e#8438#8439#0" expanded="true" />
            <element signature="e#8482#8483#0" expanded="true" />
            <element signature="e#8515#8516#0" expanded="true" />
            <element signature="e#8559#8560#0" expanded="true" />
            <element signature="e#8592#8593#0" expanded="true" />
            <element signature="e#8641#8642#0" expanded="true" />
            <element signature="e#8675#8676#0" expanded="true" />
            <element signature="e#8710#8711#0" expanded="true" />
            <element signature="e#8745#8746#0" expanded="true" />
            <element signature="e#8792#8793#0" expanded="true" />
            <element signature="e#8830#8831#0" expanded="true" />
            <element signature="e#8862#8863#0" expanded="true" />
            <element signature="e#8894#8895#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/ab2/test/Tests.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="13222">
          <caret line="601" selection-start-line="601" selection-end-line="601" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/ab2/Transition.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="638">
          <caret line="37" selection-start-line="37" selection-end-line="37" />
          <folding>
            <element signature="e#432#433#0" expanded="true" />
            <element signature="e#457#458#0" expanded="true" />
            <element signature="e#593#594#0" expanded="true" />
            <element signature="e#700#701#0" expanded="true" />
            <element signature="e#724#725#0" expanded="true" />
            <element signature="e#842#843#0" expanded="true" />
            <element signature="e#867#868#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/ab2/Factory.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="616">
          <caret line="28" column="63" selection-start-line="28" selection-start-column="7" selection-end-line="28" selection-end-column="63" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/ab2/impl/Dippold/FactoryImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="140">
          <caret line="4" selection-start-line="4" selection-end-line="6" selection-end-column="15" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/ab2/Transition.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="70">
          <caret line="2" column="13" selection-start-line="2" selection-start-column="13" selection-end-line="2" selection-end-column="13" />
          <folding>
            <element signature="e#432#433#0" expanded="true" />
            <element signature="e#457#458#0" expanded="true" />
            <element signature="e#593#594#0" expanded="true" />
            <element signature="e#700#701#0" expanded="true" />
            <element signature="e#724#725#0" expanded="true" />
            <element signature="e#842#843#0" expanded="true" />
            <element signature="e#867#868#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/ab2/Factory.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="980">
          <caret line="28" column="63" selection-start-line="28" selection-start-column="7" selection-end-line="28" selection-end-column="63" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/ab2/test/Tests.java">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret column="17" selection-start-column="17" selection-end-column="17" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/ab2/impl/Dippold/MealyImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="3955">
          <caret line="113" column="72" selection-start-line="113" selection-start-column="72" selection-end-line="113" selection-end-column="72" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/ab2/impl/Dippold/FactoryImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="140">
          <caret line="4" selection-start-line="4" selection-end-line="6" selection-end-column="15" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/ab2/impl/Dippold/MealyImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="3640">
          <caret line="113" column="71" lean-forward="true" selection-start-line="113" selection-start-column="71" selection-end-line="113" selection-end-column="71" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/ab2/Transition.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="70">
          <caret line="2" column="13" selection-start-line="2" selection-start-column="13" selection-end-line="2" selection-end-column="13" />
          <folding>
            <element signature="e#432#433#0" expanded="true" />
            <element signature="e#457#458#0" expanded="true" />
            <element signature="e#593#594#0" expanded="true" />
            <element signature="e#700#701#0" expanded="true" />
            <element signature="e#724#725#0" expanded="true" />
            <element signature="e#842#843#0" expanded="true" />
            <element signature="e#867#868#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/ab2/Factory.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="980">
          <caret line="28" column="63" selection-start-line="28" selection-start-column="7" selection-end-line="28" selection-end-column="63" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/ab2/test/Tests.java">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret column="17" lean-forward="true" selection-start-column="17" selection-end-column="17" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/ab2/impl/Dippold/FactoryImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="88">
          <caret line="4" selection-start-line="4" selection-end-line="6" selection-end-column="15" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/ab2/Transition.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="44">
          <caret line="2" column="13" selection-start-line="2" selection-start-column="13" selection-end-line="2" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/ab2/Factory.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="616">
          <caret line="28" column="63" lean-forward="true" selection-start-line="28" selection-start-column="7" selection-end-line="28" selection-end-column="63" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/ab2/test/Tests.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1738">
          <caret line="79" column="23" lean-forward="true" selection-start-line="79" selection-start-column="23" selection-end-line="79" selection-end-column="23" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/ab2/impl/Dippold/MealyImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2354">
          <caret line="107" column="38" selection-start-line="107" selection-start-column="38" selection-end-line="107" selection-end-column="38" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/ab2/impl/Dippold/FactoryImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="88">
          <caret line="8" column="13" selection-start-line="8" selection-start-column="13" selection-end-line="8" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/ab2/Transition.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="44">
          <caret line="2" column="13" selection-start-line="2" selection-start-column="13" selection-end-line="2" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/ab2/Factory.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="88">
          <caret line="4" column="17" selection-start-line="4" selection-start-column="17" selection-end-line="4" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/ab2/test/Tests.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="528">
          <caret line="24" column="13" selection-start-line="24" selection-start-column="13" selection-end-line="24" selection-end-column="13" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/ab2/impl/Dippold/MealyImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2464">
          <caret line="112" column="75" lean-forward="true" selection-start-line="112" selection-start-column="75" selection-end-line="112" selection-end-column="75" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar://$APPLICATION_HOME_DIR$/lib/junit-4.12.jar!/org/junit/Assert.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="350">
          <caret line="11" column="54" selection-start-line="11" selection-start-column="54" selection-end-line="11" selection-end-column="54" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$APPLICATION_HOME_DIR$/lib/junit-4.12.jar!/org/junit/runners/BlockJUnit4ClassRunner.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="350">
          <caret line="11" column="129" selection-start-line="11" selection-start-column="129" selection-end-line="11" selection-end-column="129" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$APPLICATION_HOME_DIR$/lib/junit-4.12.jar!/org/junit/runners/ParentRunner.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="351">
          <caret line="53" column="173" selection-start-line="53" selection-start-column="173" selection-end-line="53" selection-end-column="173" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/ab2/impl/Dippold/MealyImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2065">
          <caret line="141" column="8" lean-forward="true" selection-start-line="141" selection-start-column="8" selection-end-line="141" selection-end-column="8" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar://$APPLICATION_HOME_DIR$/lib/junit-4.12.jar!/org/junit/internal/runners/model/ReflectiveCallable.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="301">
          <caret line="17" selection-start-line="17" selection-end-line="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/ab2/PDA.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="203">
          <caret line="18" column="16" selection-start-line="18" selection-start-column="16" selection-end-line="18" selection-end-column="16" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/ab2/Transition.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="67">
          <caret line="29" selection-start-line="29" selection-end-line="29" />
          <folding>
            <element signature="e#432#433#0" expanded="true" />
            <element signature="e#457#458#0" expanded="true" />
            <element signature="e#593#594#0" expanded="true" />
            <element signature="e#700#701#0" expanded="true" />
            <element signature="e#724#725#0" expanded="true" />
            <element signature="e#842#843#0" expanded="true" />
            <element signature="e#867#868#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/ab2/Factory.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="295">
          <caret line="28" column="63" selection-start-line="28" selection-start-column="7" selection-end-line="28" selection-end-column="63" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/ab2/impl/Dippold/FactoryImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="308">
          <caret line="16" column="26" lean-forward="true" selection-start-line="16" selection-start-column="26" selection-end-line="16" selection-end-column="26" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/ab2/impl/Dippold/PDATransition.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="396">
          <caret line="18" column="5" lean-forward="true" selection-start-line="18" selection-start-column="5" selection-end-line="18" selection-end-column="5" />
          <folding>
            <element signature="e#386#387#0" expanded="true" />
            <element signature="e#418#419#0" expanded="true" />
            <element signature="e#457#458#0" expanded="true" />
            <element signature="e#494#495#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/ab2/impl/Dippold/PDAImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="88">
          <caret line="169" column="87" lean-forward="true" selection-start-line="169" selection-start-column="87" selection-end-line="169" selection-end-column="87" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#2318#2319#0" expanded="true" />
            <element signature="e#2357#2358#0" expanded="true" />
            <element signature="e#2524#2525#0" expanded="true" />
            <element signature="e#2563#2564#0" expanded="true" />
            <element signature="e#8395#8396#0" expanded="true" />
            <element signature="e#8438#8439#0" expanded="true" />
            <element signature="e#8482#8483#0" expanded="true" />
            <element signature="e#8515#8516#0" expanded="true" />
            <element signature="e#8559#8560#0" expanded="true" />
            <element signature="e#8592#8593#0" expanded="true" />
            <element signature="e#8641#8642#0" expanded="true" />
            <element signature="e#8675#8676#0" expanded="true" />
            <element signature="e#8710#8711#0" expanded="true" />
            <element signature="e#8745#8746#0" expanded="true" />
            <element signature="e#8792#8793#0" expanded="true" />
            <element signature="e#8830#8831#0" expanded="true" />
            <element signature="e#8862#8863#0" expanded="true" />
            <element signature="e#8894#8895#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/ab2/test/Tests.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-2675">
          <caret line="900" column="38" lean-forward="true" selection-start-line="900" selection-start-column="38" selection-end-line="900" selection-end-column="38" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ArtifactsStructureConfigurable.UI">
        <settings>
          <artifact-editor />
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="FacetStructureConfigurable.UI">
        <settings>
          <last-edited>No facets are configured</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="GlobalLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="JdkListConfigurable.UI">
        <settings>
          <last-edited>9.0</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ModuleStructureConfigurable.UI">
        <settings>
          <last-edited>W18-ETI-AB2</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectJDKs.UI">
        <settings>
          <last-edited>9</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>